## styx 1.6.1-2

=== libc++/Makefile ===
CXXFLAGS=-Wall -O2 -fno-rtti -g
LDFLAGS=-lstdc++

all: libstyxc++.a t

t: t.o libstyxc++.a 

libstyxc++.a: StyxScanner.o StyxI18NLit.o
	ar r $@ $^

clean:
	-rm *.o *.bak *.a

depend:
	makedepend -Y -- $(CXXFLAGS) -- *.[Cch] 2>/dev/null

# DO NOT DELETE

## styx 1.6.1-1

=== debian/changelog ===
styx (1.6.1-1) unstable; urgency=low

  * New upstream release.
  * Folded styx-xml into styx-doc where other examples reside.
  * Bumped Standards version to 3.6.1.

 -- Siggy Brentrup <bsb@debian.org>  Sat, 10 Jan 2004 20:56:21 +0100

styx (1.6-0) unstable; urgency=low

  * Sorry, this release never made it into the archives.
  * New upstream version.
  * New example package styx-xml.
  * debian/styx.sgml: Fixed synopsis for lim_test, plus minor tweaks in
    wording.
  * Change maintainer email address.

 -- Siggy Brentrup <bsb@debian.org>  Sat, 10 Jan 2004 18:03:19 +0100

styx (1.5.1-3) unstable; urgency=low

  * Revamp va_list usage portably, patch forwarded upstream. Package
    should build on any arch now (Closes: #174393).

 -- Siggy Brentrup <bsb@winnegan.de>  Sun, 29 Dec 2002 02:22:42 +0100

styx (1.5.1-2) unstable; urgency=low

  * libbase/sink.c(Sink_vprintf): Fixed va_arg calls to use self-promoting
    type int instead of char/short (Closes: #174255).  

 -- Siggy Brentrup <bsb@winnegan.de>  Thu, 26 Dec 2002 18:28:47 +0100

styx (1.5.1-1) unstable; urgency=low

  * First upload (Closes: #172037).
  * debian/control: capitalize "Unicode" per request by Martin Michlmayer.
  * pgm/styx.{c,cmd}, gen/styx_cim.c: upstream added -makeANT flag to the
    effect that win-only files <lang>_ant.c are no longer generated when
    -makeINT is specified. These files didn't compile on Linux.
  * tutorial/tutorial0[1-4]/mx.in: added comments how to make static
    linking work and rewrote gcc commands accordingly.
  * tutorial/tutorial0[1-4]/readme: removed note on setting $STYXDIR and
    $LD_LIBRARY_PATH that don't apply to Debian.

 -- Siggy Brentrup <bsb@winnegan.de>  Thu, 12 Dec 2002 20:34:19 +0100

styx (1.5.1-0) experimental; urgency=low

  * Initial Release.
  * Added manpage since upstream uses HTML documentation.
  * libbase/symbols.c: bugfix by Heike Manns (upstream).
  * tutorial/tutorial04/calc.cpp: bugfix by Heike Manns (upstream).

 -- Siggy Brentrup <bsb@winnegan.de>  Fri,  6 Dec 2002 11:26:52 +0100

=== debian/control ===
Source: styx
Section: devel
Priority: optional
Maintainer: Siggy Brentrup <bsb@debian.org>
Build-Depends: debhelper (>= 4), automake1.4, autoconf, docbook-to-man
Standards-Version: 3.6.1

Package: styx
Architecture: any
Depends: ${shlibs:Depends}
Recommends: styx-dev (= ${Source-Version})
Suggests: styx-doc (= ${Source-Version})
Description: combined parser/scanner generator
 The package facilitates application development including
 user-defined context free languages.
 .
 It's development model deviates from the traditional lex/yacc pair
 (flex/bison in Debian) by automating tedious tasks which are
 commonly implemented in yacc's actions.
 .
 Styx automatically derives a depth grammar, generates reentrant
 parsers that support persistent derivation trees, preserve full
 source information, support Unicode and are thread safe.

Package: libxstyx
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: runtime library for styx
 This library contains the implementation of the styx parser/scanner
 generator proper.
 .
 Applications using styx's advanced features (e.g. operating on
 grammars at runtime) must link against this library.

Package: libdstyx
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: core runtime library for styx
 Dynamically linked programs containing lexical scanners or parsers
 developed with styx depend on this library.
 .
 It implements abstract grammar, LALR(1) parser and lexical scanner
 interfaces, hashed symbol tables and supporting data types. 
 
Package: styx-dev
Architecture: any
Depends: styx (= ${Source-Version})
Suggests: styx-doc (= ${Source-Version})
Description: combined parser/scanner generator development files
 Static libraries and headers needed for development with styx.
 .
 cf. styx for features.

Package: styx-doc
Architecture: all
Section: doc
Description: combined parser/scanner generator documentation
 "The Styx Handbook" describes application development with styx and
 contains HTML reference documentation for the styx API.
 .
 Contains a full blown example showing how to build an XML parser
 with styx.
 .
 cf. styx for features.

## styx 1.6.1-2

=== debian/changelog ===
styx (1.6.1-2) unstable; urgency=low

  * QA Group upload orphaning this package
  * debian/control: fixed typo in package description (closes: #268545,
    #277246)

 -- Andrew Pollock <apollock@debian.org>  Thu, 24 Mar 2005 13:02:32 +1100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: styx
 Section: devel
 Priority: optional
-Maintainer: Siggy Brentrup <bsb@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 4), automake1.4, autoconf, docbook-to-man
 Standards-Version: 3.6.1
 
@@ -14,7 +14,7 @@
  The package facilitates application development including
  user-defined context free languages.
  .
- It's development model deviates from the traditional lex/yacc pair
+ Its development model deviates from the traditional lex/yacc pair
  (flex/bison in Debian) by automating tedious tasks which are
  commonly implemented in yacc's actions.
  .

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# Modified for building styx packages by Siggy Brentrup <bsb@winnegan.de>

# Uncomment this to turn on verbose mode. 
# export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# configure the package, note that we have to configure
	# example scripts to use the final includedir.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --mandir=\$${prefix}/share/man \
		--includedir=/usr/include/styx


build-arch:  config.status build-arch-stamp
build-arch-stamp:
	dh_testdir
	# compile/build the package.
	$(MAKE)
	/usr/bin/docbook-to-man debian/styx.sgml > styx.1
	touch build-arch-stamp

build-indep: config.status  build-indep-stamp
build-indep-stamp:
	dh_testdir
	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f styx.1
	rm -f build-arch-stamp build-indep-stamp
	# clean up after the build process.
	-$(MAKE) distclean
	-test -r /usr/share/misc/config.sub && \
	  cp -f /usr/share/misc/config.sub config.sub
	-test -r /usr/share/misc/config.guess && \
	  cp -f /usr/share/misc/config.guess config.guess
	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Install binary stuff into debian/tmp
	$(MAKE) DESTDIR=$$PWD/debian/tmp install-exec
	# Install development files into debian/styx-dev
	( set -e ; for d in libbase modstd pgm inc ; do \
	    $(MAKE) -C $$d install-data DESTDIR=$$PWD/debian/styx-dev \
		includedir=/usr/include/styx ; done )
	# Install documentation and examples into debian/styx-doc
	( set -e ; for d in doc examples spe pat ; do \
	    $(MAKE) -C $$d install-data DESTDIR=$$PWD/debian/styx-doc \
		includedir=/usr/include/styx \
		datadir=/usr/share/doc/styx-doc \
		htmldir=/usr/share/doc/styx-doc/html \
		sgmldir=/usr/share/doc/styx-doc/sgml ; done )

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdirs -i
	dh_installdocs -i
	dh_install -i
	dh_installexamples -i
	dh_installchangelogs ChangeLog -i
	dh_link -i
	rm -f $$(find debian/styx-doc/usr/share -size 0 )
	dh_compress -i
	dh_fixperms -i 
	chmod 644 $$(find debian/styx-doc/usr/share/doc/styx-doc/examples/styx-xml \
	             -type f -perm +1 ! -name mx)
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installman -a
	dh_installchangelogs ChangeLog -a
	dh_install -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
# watch control file for uscan
# Site		Directory		Pattern			Version	Script
version=2
http://www.speculate.de/styx/index.html	styx-(.*)\.tar\.gz	debian	uupdate

## styx 1.7

=== libc++/Makefile ===
CXXFLAGS=-Wall -O2 -fno-rtti -g
LDFLAGS=-lstdc++

all: libstyxc++.a StyxScannerTest

StyxScannerTest: StyxScannerTest.o libstyxc++.a 

libstyxc++.a: StyxScanner.o StyxI18NLit.o
	ar r $@ $^

clean:
	-rm *.o *.bak *.a StyxScannerTest

depend:
	makedepend -Y -- $(CXXFLAGS) -- *.[Cch] 2>/dev/null

# DO NOT DELETE

StyxI18NLit.o: StyxI18NLit.h
StyxScanner.o: StyxScanner.h
StyxScannerTest.o: StyxScanner.h
